This usually means it has features of a version you don't have, since you have Developer, it most likely uses 2.5+ features.
If someone made this file for you, you may need that the person remove or...